package cn.com.qmth.examcloud.reports.commons.bean;

import java.util.Date;

import cn.com.qmth.examcloud.reports.commons.enums.Topic;

public class OnlineExamStudentReport extends BaseReport {

	private Long rootOrgId;
	private Long studentId;
	private Long examId;
	private Long examStudentId;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getExamStudentId() {
		return examStudentId;
	}

	public void setExamStudentId(Long examStudentId) {
		this.examStudentId = examStudentId;
	}

	public OnlineExamStudentReport(Long rootOrgId, Long studentId,
			Long examId, Long examStudentId) {
		super();
		this.rootOrgId = rootOrgId;
		this.studentId = studentId;
		this.examId = examId;
		this.examStudentId = examStudentId;
		this.topic = Topic.EXAM_STUDENT.getCode();
	}

	public OnlineExamStudentReport(Boolean reportOnException, Date reportTime, String reportHost, Long rootOrgId,
			Long studentId, Long examId, Long examStudentId) {
		super(reportOnException, reportTime, reportHost);
		this.rootOrgId = rootOrgId;
		this.studentId = studentId;
		this.examId = examId;
		this.examStudentId = examStudentId;
		this.topic = Topic.EXAM_STUDENT.getCode();
	}

}
